## musescore 2.1.0%2Bdfsg3

=== bww2mxml/CMakeLists.txt ===
#=============================================================================
#  BWW to MusicXML converter
#  Part of MusE Score
#  Linux Music Score Editor
#  $Id: CMakeLists.txt 5560 2012-04-19 11:39:34Z lasconic $
#
#  Copyright (C) 2002-2010 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

add_library(bww STATIC
   ${INCS}
   lexer.cpp
   parser.cpp
   symbols.cpp
   writer.cpp
   )

if (NOT MINGW AND NOT APPLE)
   add_executable(bww2mxml
      ${INCS}
      lexer.cpp
      main.cpp
      mxmlwriter.cpp
      parser.cpp
      symbols.cpp
      writer.cpp
      )

   set_target_properties (
         bww2mxml
         PROPERTIES
            COMPILE_FLAGS "-x c++ -include ${PROJECT_BINARY_DIR}/all.h -g -Wall -Wextra -Winvalid-pch"
         )

   target_link_libraries(bww2mxml
      ${QT_LIBRARIES}
      )
   ADD_DEPENDENCIES(bww2mxml mops1)
   ADD_DEPENDENCIES(bww2mxml mops2)
endif (NOT MINGW AND NOT APPLE)

xcode_pch(bww all)

ADD_DEPENDENCIES(bww mops1)
ADD_DEPENDENCIES(bww mops2)

=== demos/CMakeLists.txt ===
#=============================================================================
#  MusE
#  Linux Music Editor
#  $Id:$
#
#  Copyright (C) 2002-2008 by Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#=============================================================================

install(FILES
      All_Dudes.mscz
      Reunion.mscz
      Triumph.mscz
      DESTINATION ${Mscore_SHARE_NAME}${Mscore_INSTALL_NAME}demos
      )

=== mtest/testoves/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#  $Id:$
#
#  Copyright (C) 2015 Werner Schweer and others
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

subdirs(
      bdat ove3 structure
      )

=== mtest/libmscore/rhythmicGrouping/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#  $Id:$
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_rhythmicGrouping)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

## musescore 2.1.0+dfsg1

=== thirdparty/xmlstream/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#  $Id:$
#
#  Copyright (C) 2014 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

include (${PROJECT_SOURCE_DIR}/build/gch.cmake)

if (APPLE)
        file(GLOB_RECURSE INCS "*.h")
else (APPLE)
        set(INCS "")
endif (APPLE)

add_library(xmlstream STATIC
   xmlstream.cpp xmlutils.cpp
   ${PROJECT_BINARY_DIR}/all.h
   ${PCH}
   ${INCS}
   )

set_target_properties (
      xmlstream
      PROPERTIES
         COMPILE_FLAGS "${PCH_INCLUDE} -g -Wall -Wextra -Winvalid-pch"
      )

xcode_pch(xmlstream all)

ADD_DEPENDENCIES(xmlstream mops1)
ADD_DEPENDENCIES(xmlstream mops2)

=== mtest/libmscore/parts/CMakeLists.txt ===
#=============================================================================
#  MuseScore
#  Music Composition & Notation
#  $Id:$
#
#  Copyright (C) 2011 Werner Schweer
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation and appearing in
#  the file LICENSE.GPL
#=============================================================================

set(TARGET tst_parts)

include(${PROJECT_SOURCE_DIR}/mtest/cmake.inc)

=== debian/changelog ===
musescore (2.1.0+dfsg1-1) unstable; urgency=low

  * Add myself to Uploaders. (10x tvaz)
  * Update Homepage while here.
  * Fix soundfont copyright information, do not ship extra licence file.
  * Split fluidr3mono-gm-soundfont off musescore-common. (Closes: #871920)
  * Update to Debian Policy 4.1.1.1 (no changes).
  * Install fluidr3mono-gm-soundfont’s upstream changelog.
  * Create fix for upstream issue #150956.
  * Add reference to upstream changelog.

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 10 Oct 2017 20:25:10 +0200

musescore (2.1.0+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload (could conceivably be team, though).
  * Further update lintian overrides.
  * Upload to unstable. (Closes: #871075)
  * Add Keywords to desktop file, thanks lintian.

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 09 Aug 2017 14:11:19 +0200

musescore (2.1.0+dfsg1-0.1) experimental; urgency=medium

  * Non-maintainer upload with tentative maintainer agreement.
  * Upload to experimental.
  * New upstream version 2.1.0. (Closes: #861776)
    - 01-debundle-freetype.patch was implemented by a cmake option
    - installs higher resolution icons (Closes: #858822)
  * Remove musescore-soundfont-gm transitional package after release
  * Add 01-oss-salsa.patch to perhaps fix kFreeBSD, Hurd builds.
  * Fix build without PCH copying all.h too late.
  * Address some lintian issues.

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Aug 2017 03:09:32 +0200

=== debian/control ===
Source: musescore
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Toby Smithe <tsmithe@ubuntu.com>,
	   Thorsten Glaser <tg@mirbsd.de>,
           Tiago Bortoletto Vaz <tiago@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               libasound2-dev,
               libfreetype6-dev (>= 2.5.2),
               libjack-dev,
               libmp3lame-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5webkit5-dev,
               libqt5xmlpatterns5-dev,
               libsndfile1-dev (>= 1.0.25),
               portaudio19-dev,
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.3),
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.1.1
Homepage: https://musescore.org/en
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/musescore.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/musescore.git

Package: musescore
Architecture: any
Provides: mscore
Replaces: mscore (<< 0.9.6+dfsg-1)
Breaks: mscore (<< 0.9.6+dfsg-1)
Depends: desktop-file-utils,
         libqt5sql5-sqlite,
         musescore-common (= ${source:Version}),
         qml-module-qtquick-controls,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         shared-mime-info,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pulseaudio-utils
Suggests: fluid-soundfont-gm, timgm6mb-soundfont
Description: Free music composition and notation software
 MuseScore is a free WYSIWYG music score typesetter for Linux,
 licenced under GNU GPL. Features:
  - WYSIWYG, notes are entered on a "virtual note sheet"
  - Unlimited score length
  - Unlimited number of staves per system
  - Up to four independent voices per staff
  - easy and fast note entry with mouse, keyboard or midi
  - integrated sequencer and FluidSynth software synthesizer
  - import and export of MusicXml and standard midifiles (SMF)
  - platform independent code for Linux, Windows and Mac
  - Automatic part extraction and transposition
  - Chord symbols
  - Swing and shuffle playback
  - and much more...

Package: musescore-common
Architecture: all
Depends: ${misc:Depends}, fluidr3mono-gm-soundfont (= ${source:Version})
Provides: mscore-common
Replaces: mscore-common (<< 0.9.6+dfsg-1)
Breaks: mscore-common (<< 0.9.6+dfsg-1)
Description: Free music composition and notation software (common files)
 MuseScore is a free WYSIWYG music score typesetter for Linux,
 licenced under GNU GPL. Features:
  - WYSIWYG, notes are entered on a "virtual note sheet"
  - Unlimited score length
  - Unlimited number of staves per system
  - Up to four independent voices per staff
  - easy and fast note entry with mouse, keyboard or midi
  - integrated sequencer and FluidSynth software synthesizer
  - import and export of MusicXml and standard midifiles (SMF)
  - platform independent code for Linux, Windows and Mac
  - Automatic part extraction and transposition
  - Chord symbols
  - Swing and shuffle playback
  - and much more...
 .
 This package provides some files used by MuseScore, including demo
 scores, styles, templates, localisations, and some plugins.

Package: fluidr3mono-gm-soundfont
Architecture: all
Depends: ${misc:Depends}
Enhances: libfluidsynth1 (>= 1.1.7-1~)
Description: Fluid (R3) Mono GM SoundFont from MuseScore 2.1
 This is the hard disc space-saving Mono version of the complete
 Fluid (R3) GM SoundFont in the compressed SF3 format, as shipped
 with MuseScore 2.0 and newer. It can be used with most modern
 MIDI synthesisers which support the SF3 format and has, while
 providing the large GM sound set, a slow installed size footprint;
 as it comes under the MIT licence, it can be used in most settings.
 .
 This package will be installed into /usr/share/sounds/sf3/.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_SKIP_RPATH=ON \
	    -DUSE_SYSTEM_FREETYPE=ON

override_dh_auto_build:
	dh_auto_build -- lrelease all

override_dh_installchangelogs-arch:
	dh_installchangelogs -pmusescore debian/upstream-changelog
	dh_installchangelogs --remaining-packages

override_dh_installchangelogs-indep:
	dh_installchangelogs -pfluidr3mono-gm-soundfont \
	    share/sound/FluidR3MonoChangeLog.txt
	dh_installchangelogs --remaining-packages

override_dh_install-indep:
	# included in debian/copyright
	rm -f debian/tmp/usr/share/mscore-*/sound/FluidR3Mono_License.md
	# split off
	mkdir -p debian/tmp/usr/share/sounds/sf3
	for fp in debian/tmp/usr/share/mscore-*/sound/*; do \
		bn=$${fp##*/}; \
		mv "$$fp" "debian/tmp/usr/share/sounds/sf3/$$bn" || exit 1; \
		ln -s "../../sounds/sf3/$$bn" "$$fp" || exit 1; \
	done
	# move stuff to packages
	dh_install
	cd $(CURDIR)/debian/musescore-common/usr/share && ln -s mscore-* mscore

.PHONY: get-orig-source
## Usage: debian/rules get-orig-source
## Based on: http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source: PKG_DIR:=$(abspath $(dir $(MAKEFILE_LIST)))
get-orig-source:
	# Simply call uscan (changes for DFSG done in debian/watch and debian/repack)
	uscan --noconf --verbose --destdir=$(CURDIR) \
	  --check-dirname-level=0 --force-download $(PKG_DIR)

## musescore 2.1.0+dfsg2

=== debian/changelog ===
musescore (2.1.0+dfsg2-1build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 10:08:46 -0600

musescore (2.1.0+dfsg2-1) unstable; urgency=medium

  [ Fabian Greffrath ]
  * Improve fluidr3mono-gm-soundfont package description.

  [ Thorsten Glaser ]
  * Update d/copyright after review by Chris Lamb.
  * debian/repack:
    - Reset permissions and uid/gid in the archive.
    - Use DevRef §6.7.8.2 compliant top-level directory name.
    - Support using % in git tags for ~ (for experimental).
    - Use repository from watch file in repack script (API call).
    - Create xz-compressed repacked orig tarballs.
    - Add pristine-tar to success text.
  * debian/watch: Mangle versions to allow %/~ prereleases.

  [ Dr. Tobias Quathamer ]
  * New upstream version 2.1.0+dfsg2
    - Remove binary file librtf2html.a
  * Switch Vcs-URLs to salsa.d.o
  * Add myself to uploaders
  * Use debhelper v11
  * Remove debhelper's --parallel option, is now default
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 11 Feb 2018 22:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Toby Smithe <tsmithe@ubuntu.com>,
-	   Thorsten Glaser <tg@mirbsd.de>,
-           Tiago Bortoletto Vaz <tiago@debian.org>
+           Thorsten Glaser <tg@mirbsd.de>,
+           Tiago Bortoletto Vaz <tiago@debian.org>,
+           Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 11),
                libasound2-dev,
                libfreetype6-dev (>= 2.5.2),
                libjack-dev,
@@ -23,10 +24,10 @@
                qttools5-dev,
                qttools5-dev-tools,
                zlib1g-dev
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://musescore.org/en
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/musescore.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/musescore.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/musescore.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/musescore
 
 Package: musescore
 Architecture: any
@@ -64,7 +65,7 @@
 
 Package: musescore-common
 Architecture: all
-Depends: ${misc:Depends}, fluidr3mono-gm-soundfont (= ${source:Version})
+Depends: fluidr3mono-gm-soundfont (= ${source:Version}), ${misc:Depends}
 Provides: mscore-common
 Replaces: mscore-common (<< 0.9.6+dfsg-1)
 Breaks: mscore-common (<< 0.9.6+dfsg-1)
@@ -94,9 +95,11 @@
 Description: Fluid (R3) Mono GM SoundFont from MuseScore 2.1
  This is the hard disc space-saving Mono version of the complete
  Fluid (R3) GM SoundFont in the compressed SF3 format, as shipped
- with MuseScore 2.0 and newer. It can be used with most modern
- MIDI synthesisers which support the SF3 format and has, while
- providing the large GM sound set, a slow installed size footprint;
- as it comes under the MIT licence, it can be used in most settings.
+ with MuseScore 2.0 and newer.
+ .
+ It can be used with most modern MIDI synthesisers which support
+ the SF3 format and has a low installed size footprint, while
+ providing the large GM sound set.
+ As it comes under the MIT licence, it can be used in most settings.
  .
  This package will be installed into /usr/share/sounds/sf3/.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
-	dh $@ --buildsystem=cmake --parallel
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
# debian/watch - check for a new upstream release and fetch it. See USCAN(1).
# The script 'debian/repack' is called to perform changes for DFSG compliance.
version=4
opts=\
uversionmangle=s/%25/%/,\
dversionmangle=s/~/%/;s/\+dfsg\d*$//,\
repacksuffix=+dfsg1,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/MuseScore-$1\.tar\.gz/ \
  https://github.com/musescore/MuseScore/tags .*/v?(\d\S*)\.tar\.gz \
debian debian/repack
